Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class SormProject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.sorm.common.bean.SormProject

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class SormProject
    extends IdTitle
    implements GuiTitlable

Бин экземпляра проекта(выгрузки) СОРМ

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SormProject()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object o)` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `java.util.Date` | `getCreateDate()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getId()` | Возвращает id объекта
  `java.util.Date` | `getLastModifyDate()` |
  `Preferences` | `getLoadedConfig()` |
  `int` | `getProjectType()` |
  `java.lang.String` | `getTitle()` | Возвращает название (описание) объекта
  `int` | `getUserId()` |
  `int` | `hashCode()` |
  `boolean` | `isEnable()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setCreateDate​(java.util.Date createDate)` |
  `void` | `setEnable​(boolean enable)` |
  `void` | `setId​(int id)` | Устанавливает id объекта
  `void` | `setLastModifyDate​(java.util.Date lastModifyDate)` |
  `void` | `setProjectType​(int projectType)` |
  `void` | `setTitle​(java.lang.String title)` | Устанавливает название (описание) объекта
  `void` | `setUserId​(int userId)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SormProject

    public SormProject()

- ## Method Details

  - ### getId

    public int getId()
    Description copied from class: `Id`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Specified by:
      `getId` in interface `ListItem`
    Overrides:
      `getId` in class `Id`
    Returns:

  - ### setId

    public void setId​(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`
    Parameters:
      `id` - id

  - ### getTitle

    public java.lang.String getTitle()
    Description copied from class: `IdTitle`
    Возвращает название (описание) объекта
    Specified by:
      `getTitle` in interface `ListItem`
    Overrides:
      `getTitle` in class `IdTitle`

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getCreateDate

    public java.util.Date getCreateDate()

  - ### setCreateDate

    public void setCreateDate​(java.util.Date createDate)

  - ### getLastModifyDate

    public java.util.Date getLastModifyDate()

  - ### setLastModifyDate

    public void setLastModifyDate​(java.util.Date lastModifyDate)

  - ### getProjectType

    public int getProjectType()

  - ### setProjectType

    public void setProjectType​(int projectType)

  - ### isEnable

    public boolean isEnable()

  - ### setEnable

    public void setEnable​(boolean enable)

  - ### getLoadedConfig

    public Preferences getLoadedConfig()

  - ### equals

    public boolean equals​(java.lang.Object o)
    Overrides:
      `equals` in class `Id`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Id`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.